@import url("/proxy/123456/doc.kodcloud.com/index/static/theme.css");
/*--------------- theme simple ----------------------*/
 .markdown-section {
    padding: 40px 30px 40px 30px;
    max-width: 800px;
}
.code-run{
	margin:5px 0 10px 0;padding:10px;
	background:#f6f6f6;border-radius:3px;
}
.code-run button{
	padding: 0.4em 1.2em;
    color: #fff;background: #1890ff;
    border-radius: 3px;border: none;
    cursor: pointer;
}
.code-run button:hover{opacity:0.8;}

main {
    max-width: 1000px;
    margin: 0 auto;
    margin-top: 40px;
}
.sidebar {
    width: 200px;
    top: 50px;
    margin-top: -20px;
    padding:0;
    padding-bottom: 50px;
    border-right: 1px solid rgba(0, 0, 0, .07);
    /*border:none;*/
}
body.sticky .sidebar {
    position: fixed;
    left: auto;
    top: 85px;
}
body.sticky .sidebar-toggle {
    position: fixed;
    top: 0;
    left: 0;
    width: 60px;
    height: 60px;
}
.sidebar > h1 {
    position: fixed;
    top: 0px;
    height: 60px;
    line-height: 60px;
    font-size: 30px;
    color: #2d91f9;
    padding-left: 20px;
}
body .search {
    position: fixed;
    right: 80px;
    top: 10px;
    border: 1px solid #eee;
    margin: 0px;
    padding: 0;
}
body .search .results-panel.show {
    width: 400px;
    background: #fff;
    padding: 10px 20px 20px;
    position: fixed;
    right: 80px;
    border: 1px solid #eee;
    top: 45px;
    bottom: 0px;
    overflow-y: auto;
}
body .search p {
    font-size: 12px;
    margin-bottom: 5px;
}
body .search h2 {
    font-size: 15px;
    font-weight: 600;
    margin:0;
}
body .search h2 a {
    display:block;
    padding: 8px 0;
}
.app-sub-sidebar .section-link {
    padding-left: 30px;
    font-size: 13px;
}
.app-sub-sidebar .section-link code{
    position: relative;
    top:5px;
}
.app-sub-sidebar .section-link::before {
    padding-right: 4px;
    content:'#';
}
.content {
    left: 220px;
}
.sidebar li>p {
    padding: 10px 0;
    display: inline-block;
    margin: 30px 0 0 20px;
    border-top: 1px solid #e6e6e6;
    font-weight: 500;
}
.sidebar ul li a {
    padding: 5px 0 5px 20px;
}
.sidebar ul li.active>a {
    border-right:none;
    color: #0089d7;
    /*background:none;*/
}
nav.app-nav {
    background: #fff;
    position: fixed;
    width: 100%;
    height: 60px;
    top: 0px;
    margin: 0;
    text-align: left;
    box-shadow: rgba(0, 0, 0, 0.1) 0 1px 5px;
    border-bottom: 1px solid #eee;
}
nav.app-nav ul {
    width: 1000px;
    margin: 0 auto;
    text-align: left;
    display: block;
    padding-left: 200px;
    height: 60px;
    line-height: 48px;
}
.github-corner {
    z-index: 100;
}
body.sticky .sidebar-toggle {
    display:none;
}

.markdown-section figure, 
.markdown-section p, 
.markdown-section ul, .markdown-section ol{margin: 0.2em 0 0.5em 0;}

@media screen and (max-width: 800px) {
    body .search .results-panel.show{
        width: 100%;right: 0px;
    }
    .sidebar {
        left: -600px;
    }
    body .search{width:120px;}
    body.sticky .sidebar {
        left: -600px;
    }
    body.sticky .sidebar-toggle {
        display:block;
    }
    .sidebar > h1, body.sticky .sidebar>h1 {
        left:30px;
        font-size:20px;
    }
    nav.app-nav ul {padding-left: 160px;display: none;}
    .sidebar-toggle {top: 13px;height: 30px;}
    
    body.close .sidebar-toggle{
        width: 100%;
        border-bottom: 1px solid #ddd;
    }
    
    body.close .sidebar {
        -webkit-transform: translateX(600px);
        transform: translateX(600px);
    }
    body.close .sidebar > h1 {
        display:none;
    }
}